Package twisted :: Package lore :: Module default :: Class ProcessingFunctionFactory

[frames | no frames]

## Class ProcessingFunctionFactory

Known Subclasses:
  `ProcessingFunctionFactory`, `SlidesProcessingFunctionFactory`

Method Summary
| `generate_html(self, d)`
| `generate_latex(self, d)`
| `generate_lint(self, d)`
| `getLintChecker(self)`

Class Variable Summary
`list` | `doFile` = `[<function doFile at 0x8751234>]`
`dict` | `latexSpitters` = `{'chapter': <class twisted.lore.latex.Ch...`

Class Variable Details

### doFile

  Type:
    `list`
  Value:

        [<function doFile at 0x8751234>]

### latexSpitters

  Type:
    `dict`
  Value:

        {None: <class twisted.lore.latex.LatexSpitter at 0x875098c>,
         'book': <class twisted.lore.latex.BookLatexSpitter at 0x8750b34>,
         'chapter': <class twisted.lore.latex.ChapterLatexSpitter at 0x8750a2c\
        >,
         'section': <class twisted.lore.latex.SectionLatexSpitter at 0x87509bc\
        >}

Generated by Epydoc 2.0 on Wed Feb 25 07:37:05 2004 | http://epydoc.sf.net